package thyyxxk.webserver.entity.orderZdMaintain.dto;

import lombok.Data;


@Data
public class ZdChargeItemDto {
    private String code;
    private String execUnit;
    private String name;
    private Double price; // Using Double to accommodate potential null values
    private String billItemCode;
    private String pyCode;
    private String dCode;
    private String suppressFlag;
    private String billItemOut;
    private String nCode;
    private String selfFlag;
    private String separateFlag;
    private String eCode;
    private String spec; // Map from charge_unit
    private String execDeptName;
    private String serial;
    private String groupNo;

    public String getValue() {
        return code;
    }

    public String getLabel() {
        return name;
    }


}
